LibreOffice 5.0 podruhé

Minulý týden se tady na webu objevil článek o instalaci kancelářského balíku LibreOffice v nejnovější verzi 5.

LO5

Z diskuze i mých praktických pokusů vyplynulo, že se ale nainstalovala nejnovější verze „čtyřkové řady“. Sledoval jsem probíhající diskuze, něco sem tam vyzkoušel a teď Vám přináším shrnutí postupu tak, jak se mi to podařilo nainstalovat na dva pc (LM 17.2.Cinnamon edd., 64bit).
 
Nejsem autorem uvedených postupů, jen jsem je shrnul do samostatného článku a odkazy na ně nechám pod článkem jako zdroje. Proto Vám také nemohu vysvětlit, zda je vše, co uvádím, nezbytně nutné a k čemu to je. Jedná se ale o postup, který mám 100% odzkoušený a to je, myslím, to hlavní.

Přestože nejsem žádný velký odborník na Terminál, dnes si postup instalace LibreOffice 5 ukážeme právě v něm.

1) Spusťte Terminál (příkazový řádek) a zadejte v něm následující:
gksu gedit /etc/apt/preferences.d/libreoffice-libreoffice-5-0.pref

2) V zobrazeném okně Geditu (textového editoru) zadejte následující:
Package: *
Pin: release o=LP-PPA-libreoffice-libreoffice-5-0
Pin-Priority: 701

3)Uložte tento zápis a Gedit můžete zavřít, Terminál však nezavírejte.

Nyní se musíme zbavit minulosti :o))

4) Zadejte do Terminálu následující příkazy:
sudo apt-get remove --purge libreoffice*
sudo apt-get clean
sudo apt-get autoremove

Těmito příkazy jsme odstranili předchozí verze a můžeme pokračovat v instalaci verze nové.

5) Nejprve přidáme repozitář LibreOffice:
sudo add-apt-repository ppa:libreoffice/libreoffice-5-0

já to předtím zkoušel i s druhým ppa, ale ten pak instaloval předchozí verzi:
sudo add-apt-repository ppa:libreoffice/ppa

6) Provedeme další kroky před vlastní instalací:
sudo apt-get update
sudo apt-get dist-upgrade

Ani toto z dostupných návodů nestačilo a tak jsem přidal následující příkaz:

7) Zadáme:
sudo apt-get install libreoffice

No a je to skoro hotové. Tedy pokud nechcete mít LibreOffice s anglickým menu a standartní ikonovou sadou.

8) Pro ikonovou sadu Breeze zadáme:
sudo apt-get install libreoffice-style-breeze

No a následuje to hlavní pro české a slovenské uživatele:

9)Zadáme lokalizaci:
sudo apt-get install libreoffice libreoffice-l10n-cs libreoffice-help-cs
pro česky lokalizovaný systém.

Pro slovensky lokalizovaný systém předpokládám náhradu cs za sk (nemám přímo odzkoušeno).
Pak by to tedy vypadalo asi takto:
sudo apt-get install libreoffice libreoffice-l10n-sk libreoffice-help-sk

A LibreOffice jsou tu v nejnovější „Pětkové řadě“.

Děkuji tedy tímto všem diskutujícím za kolektivní práci a tím za úspěšné zvládnutí tohoto malého „překladatelského oříšku“.

 

Zdroj 1

Zdroj 2

Zdroj 3

Štítky , , , , , .Záložka pro permanentní odkaz.

17 reakcí na LibreOffice 5.0 podruhé

  1. Andrej říká:

    Ja som ešte dávnejšie pridal do repozitáru zdroj pomocou

    sudo add-apt-repository -y ppa:libreoffice/ppa

    a v deň, keď vyšla verzia 5.0 mi to aktualizovalo priamo na ňu 🙂

    • Kebab říká:

      Teď s odstupem času a jako poznámka: nepříjemně právě zjišťuji, že tento problém tj. s prioritami a repozitáři se netýká pouze LibreOffice! Pozor proto na to!
      Přes víkend jsem byl nucen, kvůli následkům s některými experimenty, provést čistou instalaci Mint 17.2 Xfce. Kdežto začínal jsem původně na Mint 17 … a tam opravdu postačilo u LibreOffice to co píšeš i když se postupně přes upgrade povyšovalo až na 17.2.
      Při čisté instalaci Mint 17.2 (a u mne Xfce) ale nastanou už popisované problémy s aktualizací tj. na vždy poslední verze LibreOffice … ale nejen to, narazil jsem prakticky na totéž a ještě obtížněji řešitelné u programu (z KDE) digiKam (a Showfoto), kde a příkladem u Mintu (mimo ten už přímo s KDE) dochází místo instalace dnes poslední verze 4.13.0 na dřevní 4.0.0 a která je takto stará v repozitáři Mintu, pokusy věc řešit podobně jako popisuje článek ztroskotávají na závislostech různých verzí knihoven KDE. Navíc, jak zjišťuji zpětně, tyto problémy s prioritami a na rozdíl od LibreOffice nastaly také při povýšení na vyšší Mint přes Správce aktualizací … což mělo za následek „skryté“ aktualizace některých programů na nižší(!) verze než byly ty původně před tím … a čehož si nemusí někdo (třeba já i když jsme se tehdy zarazil a divil) všimnout.
      Toto píšu jako poznámku kvůli tomu, že je možné že se postupem doby narazí na podobné problémy u aktualiazací jiných dalších programů instalovaných z dodatečně zavedených repozitářů.

      • Kebab říká:

        zpět LibreOffice a už jsem nestihl doplnit:
        minulý týden a na zcela čerstvém Mint 17.2 s KDE mně výše popisovaný návod nezapracoval dobře, nikoli že bych nainstaloval pořád tu starší verzi ale byla hláška ve smyslu zmatků a konec byl sám o sobě.
        Protože jsem měl k řešení další problémky jinde a chci mít vždy novější verzi, tak jsem to vyřešil radikálně abych neztrácel čas bádáním:
        stáhl jsem si ony nové poslední „balíčky“ pro řadu 5 přímo z webu LibreOffice sám a naistaloval je, čas od času v LibreOffice (mají možnost kliknout v nabídce) otestuji aktuálnost verze a případně to vyměním za novou a dalším stažením dalších balíčků, ostatně tak podobně jsem to dělal pod Windows a byl jsme na to už zvyklý a pokaždé, když ke mně doputoval nějaký článek/zpráva že je už novější verze.
        Jen je jistá drobná komplikace, ono se jedná ve skutečnosti o 3 adresáře uvnitř kterých teprve jsou ony jednotlivé balíčky a je jich více, tudíž instalace dle návodu a ve smyslu uvnitř adresáře (v pořadí samotný adresář pro program, čeština a help) pokaždé otevřít terminál a zadat:
        sudo dpkg -i *.deb
        Takto jsem už to udělal i potom při návratu, tj. při další čisté instalaci systému zpět k Xfce 4.12 která brzy následovala a nevidím v tom problém.

  2. romanos74 říká:

    Vyzkoušeno na Linux Mint 17.2 Cinnamon 64bit
    a funguje na jedničku, verze libreoffice po instalaci 5.0.0.5

  3. theseuszn říká:

    A platí to i dneska, pokud se upgrade na 5-ku nedoplní „upravenými postupy“, nebo neprovede přímými balíčky přímo ze stránek LO, tak se 5-ka prostě nezavede, na tož aby se aktualizovala, když je stále v experimentáním stádiu, tak nechápu ty bláboly o již údajných dřívějších aktualizacích.

    • Andrej říká:

      V repozitároch je stále verzia 4.4.3, ale to neznamená, že verzia 5.0.0 je nejaká testovacia verzia. Je to už stabilná plnohodnotná verzia. 🙂

      • theseuszn říká:

        Dobrá, první stabilní větev, když se ti uleví, to ale nic nemění na tom, že si „na ňu“ nemohl po vydání 5-ky aktualizovat, v těch repo totiž není nic. PPA pro LO používám furt a nic tam nemám, krom dvou jazyků (paraguay-gujarati a amharic) a libreofficekit-dev, nic jinýho tam zatím není a ještě pár dní asi nebude. Takže pokud si to myslel jinak, tak mě oprav, pokud si aktualizoval, jak si napsal, tak lžeš.

        • Andrej říká:

          Chceš vedieť pravdu? Tu je:
          Pred asi dvoma mesiacmi som spravil čistú inštaláciu Linux Mint 17.1 Xfce. Po asi dvoch dňoch som si pridal zdroj k LibreOffice cez terminál príkazom sudo add-apt-repository -y ppa:libreoffice/ppa Odvety sa mi párkrát aktualizoval LibreOffice, už neviem aké verzie presne, ale 4.4 xxx Minulú stredu mi centrum aktualizácii ponúklo aktualizáciu. Tak som ju nainštaloval a odvtedy mám verziu 5.0.xxx. Upgrade na Linux Mint 17.2 Xfce som spravil až tento týždeň.
          Takže nerob láskavo zo mňa klamára, je ti to jasné!!!

    • kamowski říká:

      celkom dostatočné vysvetlenie som našiel tu:
      http://forums.linuxmint.com/viewtopic.php?f=47&t=201522&p=1051949&hilit=LibreOffice#p1051949

      V súvislosti s tým ma napadlo, že niektorí popisovali úspešný upgrade s poznámkou, že ppa mali pridané už skôr.
      Mohli by potvrdiť alebo vyvrátiť moju domienku, že robili prechod z LM17 alebo LM17.1 (teda, že nemajú čistú inštaláciu LM17.2) a už pred povýšením mali pridané ppa a vtedy zrejme v repo nemali mint balíčky ešte prioritu 700 .

      • theseuszn říká:

        Na fóru píší o prioritách mezi úložištěm Ubuntu (priorita 500) a úložištěm Mintu (priorita 700), takže nějaký přechody mezi verzemi Mintu by neměly hrát žádnou roli, tam je to pořád stejný (můj selskej názor). Mintí jsou Mintí a Ubuntí jsou Ubuntí. Takže rozdíly v prioritách úložišť, což potvrzuje, že si LO 5-ku Mint ještě do repo asi jen tak nepustí a proč? Protože 5-ka asi ještě není dost „zralá“ nebo bezpečná (viz. vývoj Mintu s důrazem na větší bezpečnost) a Andrej už má zaktulizováno… No nic panstvo, hodina pokročila, ať už je to jak chce, tyhle „rozbory o ničem“ nikam nevedou…

      • Andrej říká:

        Minulý týždeň, keď som aktualizoval LO, som mal ešte LM17.1 PPA som mal pridané príkazom, ktorý som spomínal vyššie, ešte dávnejšie pred tým, ako LO povýšili na 5.0

      • Kebab říká:

        Já začal od Mint 17 Xfce který jsem povýšil na 17.1 ale ještě před tím jsem tam dal dle návodu ppa pro LO dle návodů, no a potom a okamžitě jak se objevilo v nabídce, tak jsem povýšil z 17.1 na 17.2 … no a mám tam ani nevím jak aktualizované LO 5 řady a tedy jsem spokojený … nějaké takové aby se mně třeba vrátilo při další aktualizaci LO řady 5 zpět na 4 jsem nezaznamenal, před 1/2 minutou jsme ověřoval a mám pořád řadu 5 🙂

  4. Tomáš říká:

    Ahoj všem,
    když jsem tento článek tvořil, tak jsem chtěl, aby pomohl těm, kteří chtějí LO5 a zatím jim to nejde. Proto je tento článek napsán.
    Pokud LO5 máte, tak Vám gratuluji, ale je zbytečné se tady hádat, jak jste se k nim dostali.

    Takže význam ze zde zveřejněné dikuze mají jen tyto komentáře:
    romanos74 – Vyzkoušeno na Linux Mint 17.2 Cinnamon 64bit
    a funguje na jedničku, verze libreoffice po instalaci 5.0.0.5

    a

    kamowski – V súvislosti s tým ma napadlo, že niektorí popisovali úspešný upgrade s poznámkou, že ppa mali pridané už skôr.
    Mohli by potvrdiť alebo vyvrátiť moju domienku, že robili prechod z LM17 alebo LM17.1 (teda, že nemajú čistú inštaláciu LM17.2) a už pred povýšením mali pridané ppa a vtedy zrejme v repo nemali mint balíčky ešte prioritu 700 .

    To v podstatě potvrzuje i ostatní komentáře o přechodu 17 a 17.1.

    Ale pro nově příchozí to zbatečně zahlcujete – když objevím nějaký článek o instalaci, ihned si přečtu i komentáře, jestli náhodou není nějaký problém.
    Tady musím číst 11 komentářů a z toho pro mne podstatné jsou jen 2, které říkají: „Ano, funguje to.“ A zbytek je zbytečný. To můžete psát k původnímu článku … Tomáš – Labeent

  5. Tomáš říká:

    Dnes tímto upgradovacím způsobem nainstalována verze 5.0.1.

  6. TOmas Kral říká:

    možná zbytečně komplikované, mě stačilo

    sudo add-apt-repository ppa:libreoffice/ppa

    /etc/apt/preferences.d/libreoffice-libreoffice-5-0.pref
    Package: *
    Pin: release o=LP-PPA-libreoffice
    Pin-Priority: 701

    update&upgrade

Napsat komentář

Vaše emailová adresa nebude zveřejněna.